Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Create a form

POST/shops/{shop_id}/forms
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
shop_idintegerrequired
Request body
requiredapplication/json
titlestringrequired
bodystring

Intro text shown above the form fields

slugstring
descriptionstring
visibleboolean
default: true
formatstring

markdown is accepted as input and converted to html before saving; the stored format will be html.

default: "html"
Allowed:htmlmarkdown
has_address_fieldsboolean
default: false
success_messagestring
Responses
201

Form created

_linksHalLinks
idinteger
shop_idinteger
titlestring
slugstring
bodystring
descriptionstring
visibleboolean
formatstring
has_address_fieldsboolean
success_messagestring
created_onstring<date-time>
updated_onstring<date-time>
422

Validation error

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.onbolder.com/v2/shops/1/forms' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "Contact Us",
  "has_address_fields": false
}'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "slug": "string",
  "body": "string",
  "description": "string",
  "visible": true,
  "format": "string",
  "has_address_fields": true,
  "success_message": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?